r4470: Try not to have GSSAPI built unless we detected krb5. We should split
[samba.git] / source / libcli / auth / gensec.m4
index 9b814014ca1e28b8ca51db7b32ad50bb4f63a27e..9e9b04a695c6e5a1ac743aa25613426ef657fd27 100644 (file)
@@ -1,6 +1,8 @@
 SMB_MODULE_DEFAULT(gensec_krb5, NOT)
+SMB_MODULE_DEFAULT(gensec_gssapi, NOT)
 
 if test x"$SMB_EXT_LIB_ENABLE_KRB5" = x"YES"; then
        /* enable this when krb5 is fully working */
        SMB_MODULE_DEFAULT(gensec_krb5, STATIC)
+       SMB_MODULE_DEFAULT(gensec_gssapi, STATIC)
 fi